import { ComponentInterface, EventEmitter } from '../../stencil-public-runtime';
import { SSAbdullakhConsultation } from "./interface/common.interface";
export declare class SAbdullakhConsultation implements ComponentInterface {
    /**
     * данные компонента Consultation
     * */
    Consultation: SSAbdullakhConsultation;
    /**
     * данные компонента Consultation
     * */
    gear: any;
    /**
     * клик по элементам компонента Consultation
     * */
    clickOnConsultation: EventEmitter;
    /**
     *  Вызов модального окна формы
     * */
    openForm: EventEmitter;
    /**
     * переменная для observe функции скрола
     * */
    observer: IntersectionObserver;
    /**
     * ref для подключения к родительскому блоку картинки
     * */
    consultantImgParent: HTMLElement;
    /**
     * ref для подключения к картинке
     * */
    consultantImg: HTMLElement;
    render(): any;
    componentDidLoad(): void;
    disconnectedCallback(): void;
    /**
     * функция для движения картинки во время скрола
     * */
    private initAnimation;
}
